// ============================================================================
// $Id: intermud.hh,v 1.10 1998/01/16 19:11:34 criscal Exp $
//
// This is part of Realm Of Magic
//
// Usage: Defines for the Intermud System
//
// All rights reserved. See license.doc for complete information.
//
// Copyright (C) 1993-1996 by the Hackerz of the Realm Of Magic
// Realm Of Magic is based on CircleMUD, Copyright (C) 1993.
// CircleMUD is based on DikuMUD, Copyright (C) 1990, 1991.
// Original Intermud (C) by Chris Austin, Stryker@Tempus 1995, 1996
// Original intermud_client.c (C) 1995, 96 by Chris Austin (Stryker@Tempus)
// Original lpc protocol (C) by Mark Lewis (Nostradamus@Zebedee)
//                           by J.W. Armstrong (Alvin@Sushi)
// ============================================================================

#ifndef _INTERMUD_HH_
#define _INTERMUD_HH_

/* Maximum size of incoming data on internet UDP port.
** Not a good idea to change this value right now.
** 
*/ 

#define MAX_NET_MESSAGE 1024

/* MUDSOCK_PATH is the absolute path to the Unix Datagram Socket that the
** intermud client and the mud use to communicate.  THE MUDSOCK FILE IS 
** CREATED ON THE FLY by the intermud client. On most systems, the default 
** should be ok (/tmp/mudsocket)
**
*/

#define MUDSOCK_PATH "/tmp/mudsocket"

/* MUDLIST_PATH is the absolute path to the mudlist-file that the intermud
** client uses for access control and for sending out-going packages to.
**
*/

#define MUDLIST_PATH "/usr/local/rom/lib/misc/mudlist"
#define MUDLIST_LPC_PATH "/usr/local/rom/lib/misc/mudlist_lpc"

/* ADDRESS_DUMP is a file that logs ips from requesting muds that are
** not part of the mudlist. Can be then considered for including in
** the mudlist.
**
*/

#define ADDRESS_DUMP "/usr/local/rom/lib/misc/intermudrequests"

/* INTERMUD_EMAIL is the email address for the responsible person who
** updates the intermud-mudlist. Most likely a person with a shell account
** of the server where the mud runs on.
*/

#define INTERMUD_EMAIL "intermud@rom.mud.de"


/* INTERMUD_PORT is the port that your intermud server will use to send and
** receive messages from intermud network.  Make sure that the port number
** defined here is the same port number that is used in the inter shell 
** script that is also provided with this package.
**
*/

#define INTERMUD_PORT "9000"

/* MUDNAME is the name of your mud.  Currently you MUST use ONE word for your
** mud name.  This will probably change sometime in the future.
**
*/

#define MUDNAME "RealmOfMagic"


/* MUDIPADDR is the IP Address of your mud.
*/

#define MUDIPADDR "134.102.14.225"


/* MUDPORT is the port that your mud uses.
*/

#define MUDPORT "4000"


/* INTERMUD_VERSION is the version of intermud you are running.  Don't change it.
*/

#define INTERMUD_VERSION "2.0RoM"

/* MUDTYPE is defined as 1 for Circle, 2 for Merc, 3 for Envy and 4 for other.
*/


// We're optimistic :) - Chris

#define MUD_TYPE 1

/* MUD_VERSION is the version of your mud release
*/

#define MUD_VERSION "1.1"


#define SRV_INTERWIZ     1

#define SRV_INTERTELL    1

#define SRV_INTERPAGE    1

#define SRV_INTERWHO     1

#define SRV_INTERBOARD   1

#endif
